-- Make the Burner Beetle immune to damage
NPC.config[549].vulnerableharmtypes = {HARM_TYPE_LAVA,HARM_TYPE_VANISH}

-- Remove weather if "fancy effects" are disabled
local battleGeneral = require("scripts/battleGeneral")

function onStart()
    if battleGeneral.fancyEffectsDisabled() then
        Section(0).effects.weather = WEATHER_NONE
    end
end